Package org.apache.sling.feature.scanner

# Class FeatureDescriptor

java.lang.Object
org.apache.sling.feature.scanner.Descriptor
org.apache.sling.feature.scanner.ContainerDescriptor
org.apache.sling.feature.scanner.FeatureDescriptor

public abstract class FeatureDescriptor extends ContainerDescriptor
Information about a feature. Note that this implementation is not synchronized. If multiple threads access a descriptor concurrently, and at least one of the threads modifies the descriptor structurally, it must be synchronized externally. However, once a descriptor is locked, it is safe to access it concurrently.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`FeatureDescriptor(org.apache.sling.feature.Feature f)`
Constructor for a feature descriptor

## Method Summary

Modifier and Type
Method
Description
`org.apache.sling.feature.Feature`
`getFeature()`
Return the feature

### Methods inherited from class org.apache.sling.feature.scanner.ContainerDescriptor

`getArtifactDescriptors, getBundleDescriptors, getDescriptors, lock`

### Methods inherited from class org.apache.sling.feature.scanner.Descriptor

`aggregate, checkLocked, getCapabilities, getCapabilities, getDynamicImportedPackages, getExportedPackages, getExportedPackages, getImportedPackages, getName, getRequirements, isLocked, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FeatureDescriptor

protected FeatureDescriptor(org.apache.sling.feature.Feature f)
Constructor for a feature descriptor

Parameters:
  `f` - The feature
Throws:
  `NullPointerException` - If feature is `null`

## Method Details

### getFeature

public org.apache.sling.feature.Feature getFeature()
Return the feature

Returns:
  The feature